package com.datacloudsec.scan.service.impl;

import com.datacloudsec.scan.dao.DeviceGroupMapper;
import com.datacloudsec.scan.entity.User;
import com.datacloudsec.scan.service.IDeviceGrup;
import com.datacloudsec.utils.DataRule;
import com.datacloudsec.utils.InstanceUtil;
import com.datacloudsec.utils.ObjectUtil;
import java.util.Date;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import javax.servlet.http.HttpSession;

/* loaded from: com_datacloudsec_scan_service_impl.jar:com/datacloudsec/scan/service/impl/DeviceGroupService.class */
public class DeviceGroupService implements IDeviceGrup {
    private DeviceGroupMapper deviceGroupMapper = (DeviceGroupMapper) InstanceUtil.newDaoInstance(DeviceGroupMapper.class);

    public int delete(HttpSession session, Integer id, Integer version) throws Exception {
        return this.deviceGroupMapper.delete(id, version, DataRule.getRuleWhere(session, "t_device_group"));
    }

    public List<Map<String, Object>> search(HttpSession session, String name, String sdate, String edate, Integer offset, Integer limit) throws Exception {
        return this.deviceGroupMapper.search(name, sdate, edate, offset, limit, DataRule.getRuleWhere(session, "t_device_group"));
    }

    public void update(HttpSession session, Integer id, Integer pid, String name, String desct, Integer version) throws Exception {
        User user = (User) session.getAttribute("userInfo");
        Map<String, Object> map = new HashMap<>();
        map.put("id", id);
        map.put("pid", pid);
        map.put("name", name);
        map.put("desct", desct);
        map.put("desct", desct);
        map.put("uid", Integer.valueOf(user == null ? 0 : user.getId().intValue()));
        map.put("rule", DataRule.getRuleWhere(session, "t_device_group"));
        this.deviceGroupMapper.update(map);
    }

    public Integer insert(HttpSession session, Integer pid, String name, String desct) throws Exception {
        User user = (User) session.getAttribute("userInfo");
        Map<String, Object> map = new HashMap<>();
        map.put("pid", pid);
        map.put("name", name);
        map.put("uid", Integer.valueOf(user == null ? 1 : user.getId().intValue()));
        map.put("desct", desct);
        map.put("id", null);
        map.put("creteTime", new Date());
        this.deviceGroupMapper.insert(map);
        return ObjectUtil.getInt(map.get("id"));
    }

    public Map<String, Object> getDevGroupById(Integer id) {
        return this.deviceGroupMapper.getDevGroupById(id);
    }

    public Integer devIsCase(Integer id) throws Exception {
        return this.deviceGroupMapper.devIsCase(id);
    }

    public int deleteForName(String name) throws Exception {
        return this.deviceGroupMapper.deleteForName(name);
    }
}
